Subject: Re: [RFC PATCH bridge 0/5] Add basic VLAN support to bridges

From: Vlad Yasevich <[email-masked]>
Date: Thu, 30 Aug 2012 09:37:17 -0400

On 08/30/2012 08:37 AM, Michael S. Tsirkin wrote:
> On Thu, Aug 23, 2012 at 03:29:50PM -0400, Vlad Yasevich wrote:
>> This series of patches provides an ability to add VLAN IDs to the bridge
>> ports.  This is similar to what can be found in most switches.  The bridge
>> port may have any number of VLANs added to it including vlan 0 for untagged
>> traffic.  When vlans are added to the port, only traffic tagged with particular
>> vlan will forwarded over this port.  Additionally, vlan ids are added to FDB
>> entries and become part of the lookup.  This way we correctly identify the FDB
>> entry.
>>
>> There are still pieces missing.  I don't yet support adding a static fdb entry
>> with a particular vlan.  There is no netlink support for carrying a vlan id.
>>
>> I'd like to hear thoughts of whether this is usufull and something we should
>> persue.
>>
>> The default behavior ofthe bridge is unchanged if no vlans have been
>> configured.
>
> Overall the feature looks good, I can think of some uses
> for it - for example, it could become useful for VMs if
> we add support to tap essentially stripping tags in Xmit but maybe you
> could be more explicit about what you have in mind?
> Do you plan to add tap support as well?

Yes,  this is something I've thought of.  Not sure if it would be at tap
or bridge itself.  Need to work out where best to do it.

> Also - what tool support do you plan?

the patchset includes brctl to configure, but that seems to be getting 
deprecated.  I am working on iproute2 to add capability to configure this.

>
> I also found some coding style issues and some bugs in
> the patchset. Sent on list.

Thanks
-vlad

> Hope this helps.